@tailwind base;
@tailwind components;
@tailwind utilities;

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }
}

@layer components {
  html {
    scroll-behavior: smooth;
    @apply text-gray-900;
  }

  .header-item {
    @apply py-2 px-4 hover:bg-primary hover:text-white rounded-md;
  }

  .btn-primary {
    @apply min-h-12 items-center justify-center flex px-4 bg-primary text-white cursor-pointer;
  }

  .btn-rounded {
    @apply min-h-12 items-center justify-center flex px-4 cursor-pointer rounded-full;
  }

  .heading1 {
    font-weight: bold;
    font-size: 48px;
    line-height: 110%;
  }

  .heading2 {
    font-weight: bold;
    font-size: 32px;
    line-height: 120%;
  }

  .heading3 {
    font-weight: 600;
    font-size: 24;
    line-height: 125%;
  }

  .heading4 {
    font-weight: 600;
    font-size: 20;
    line-height: 140%;
  }

  .see-more {
    font-weight: 600;
    font-size: 16;
    line-height: 150%;
  }

  .caption {
    text-transform: uppercase;
    font-size: 16;
    font-weight: 600;
  }
}
